Bug 443829 - (CVE-2008-1891) CVE-2008-1891 ruby: WEBrick CGI source disclosure
CVE-2008-1891 ruby: WEBrick CGI source disclosure
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=cve,reported=20080418,public=2...
: Security
Depends On: 452293 452294 452295
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 11:52 EDT by Tomas Hoger
Modified: 2009-06-10 15:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 15:24:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-04-23 11:52:48 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1891 to the following vulnerability:

Directory traversal vulnerability in WEBrick in Ruby 1.9.0 and earlier, when using NTFS or FAT filesystems, allows remote attackers to read arbitrary CGI files via a trailing (1) + (plus), (2) %2b (encoded plus), (3) . (dot), (4) %2e (encoded dot), or (5) %20 (encoded space) character in the URI, possibly related to the WEBrick::HTTPServlet::FileHandler and WEBrick::HTTPServer.new functionality and the :DocumentRoot option.

Refences:
http://aluigi.altervista.org/adv/webrickcgi-adv.txt
http://www.frsirt.com/english/advisories/2008/1245/references
http://secunia.com/advisories/29794
http://xforce.iss.net/xforce/xfdb/41824
Comment 1 Tomas Hoger 2008-04-23 11:58:59 EDT
This issue only affects systems where Ruby WEBrick is used to serve content from
certain filesystems that treat certain file names as identical (e.g.
'file.name.' is same file as 'file.name').  Out of the mentioned filesystems,
only FAT in supported by Red Hat Enterprise Linux, but it's unlikely to be used
in a real deployments as storage for web content.

Ruby packages as shipped in Red Hat Enterprise Linux 2.1 and 3 do not contain
WEBrick and therefore are not affected by this problem.
Comment 4 Tomas Hoger 2008-06-11 05:58:48 EDT
Patch applied in ruby SVN trunk:

http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=16453
Comment 9 Fedora Update System 2008-06-24 22:50:51 EDT
ruby-1.8.6.230-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-06-24 22:52:07 EDT
ruby-1.8.6.230-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2008-07-26 02:02:23 EDT
ruby-1.8.6.230-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Josh Bressers 2009-06-10 15:10:36 EDT
The risks associated with fixing this flaw outweigh the benefits of the fix. Red Hat does not plan to fix this flaw in Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.